# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Simple platform independent mailer
Name:		perl-Mail-Sendmail
Version:	0.79
Release:	8.%{__distinit}%{__distvers}
License:	Copyright only
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Mail-Sendmail/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIVKOVIC/Mail-Sendmail-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)
# Not strictly required, but works much better with this:
Requires:	perl(MIME::QuotedPrint)

%description
Simple platform independent e-mail from your perl script. Only requires Perl 5
and a network connection.

Mail::Sendmail contains mainly &sendmail, which takes a hash with the message
to send and sends it. It is intended to be very easy to set up and use.

%prep
%setup -q -n Mail-Sendmail-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* Changes Sendmail.html Todo
%{perl_vendorlib}/Mail/Sendmail.pm
%{_mandir}/man3/Mail::Sendmail.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.79-8
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 0.79-7
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> 0.79-6
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 15 2009 Paul Howarth <paul@city-fan.org> 0.79-5
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 0.79-4
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as Copyright only

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 0.79-3
- Fix dist tag for development releases and Fedora 7 onwards
- Remove unused %%{perl_vendorarch} macro, not used in noarch package
- Don't bother setting compiler optimization flags in noarch package
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- BuildRequire perl(ExtUtils::MakeMaker)
- Define %%{__id_u} in a more portable way

* Wed May 25 2005 Paul Howarth <paul@city-fan.org> 0.79-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.79-1
- Initial build
